svn commit: r226741 - head/usr.sbin/bsdinstall/scripts

Nathan Whitehorn nwhitehorn at FreeBSD.org
Tue Oct 25 16:35:49 UTC 2011


Author: nwhitehorn
Date: Tue Oct 25 16:35:48 2011
New Revision: 226741
URL: http://svn.freebsd.org/changeset/base/226741

Log:
  Provide an error message and error handling if there are no network
  interfaces in the system. This is a non-fatal error except when doing a
  network installation.
  
  PR:		bin/161950
  MFC after:	3 days

Modified:
  head/usr.sbin/bsdinstall/scripts/netconfig

Modified: head/usr.sbin/bsdinstall/scripts/netconfig
==============================================================================
--- head/usr.sbin/bsdinstall/scripts/netconfig	Tue Oct 25 16:35:08 2011	(r226740)
+++ head/usr.sbin/bsdinstall/scripts/netconfig	Tue Oct 25 16:35:48 2011	(r226741)
@@ -49,6 +49,13 @@ for IF in `ifconfig -l`; do
 	DIALOG_TAGS="$DIALOG_TAGS $IF \"$DESC\""
 done
 
+if [ -z "$INTERFACES" ]; then
+	dialog --backtitle 'FreeBSD Installer' \
+	    --title 'Network Configuration Error' \
+	    --msgbox 'No network interfaces present to configure.' 0 0
+	exit 1
+fi
+
 exec 3>&1
 INTERFACE=`echo $DIALOG_TAGS | xargs dialog --backtitle 'FreeBSD Installer' --title 'Network Configuration' --menu 'Please select a network interface to configure:' 0 0 0 2>&1 1>&3`
 if [ $? -eq $DIALOG_CANCEL ]; then exit 1; fi


More information about the svn-src-head mailing list